import models.*;
import org.junit.Test;
import services.*;

import static org.junit.Assert.assertEquals;

public class CacheSampleTest {
    @Test
    public void testAddSize() {
        Cache cache = new Cache();

        Photo photo = new Photo(1, "tree.png", "/production", 10);
        Comment comment = new Comment(1, "hi");

        CacheItem<Photo> item1 = new CacheItem<>(photo);
        CacheItem<Comment> item2 = new CacheItem<>(comment);

        cache.add(item1).add(item2);

        assertEquals(2, cache.getAll().size());
    }
}
