package models;

public class Comment implements CacheData {
    private final long ID;
    private final String text;

    public Comment(long ID, String text) {
        this.ID = ID;
        this.text = text;
    }

    public long getID() {
        return ID;
    }

    public String getText() {
        return text;
    }

    @Override
    public boolean equals(Object o) {
        if (o instanceof Comment) {
            Comment c = (Comment) o;
            return c.ID == this.ID && c.text.equals(this.text);
        }
        return false;
    }
}
