package models;

public class Photo implements CacheData {
    private final long ID;
    private final String name;
    private final String path;
    private final double size;

    public Photo(long ID, String name, String path, double size) {
        this.ID = ID;
        this.name = name;
        this.path = path;
        this.size = size;
    }

    public long getID() {
        return ID;
    }

    public String getName() {
        return name;
    }

    public String getPath() {
        return path;
    }

    public double getSize() {
        return size;
    }

    @Override
    public boolean equals(Object o) {
        if (o instanceof Photo) {
            Photo p = (Photo) o;
            return p.ID == this.ID && p.name.equals(this.name) && p.path.equals(this.path) && p.size == this.size;
        }
        return false;
    }
}
